=== debian/changelog ===
libstreamvbyte (0.4.1-4) unstable; urgency=medium

  * Really fix watch file

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 17:00:45 +0100

libstreamvbyte (0.4.1-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libstreamvbyte-dev, libstreamvbyte0: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 06:55:01 +0200

libstreamvbyte (0.4.1-2) unstable; urgency=medium

  * d/p/fix-baseline.patch: Remove march=native to fix baseline

 -- Nilesh Patra <nilesh@debian.org>  Thu, 19 Aug 2021 01:05:27 +0530

libstreamvbyte (0.4.1-1) unstable; urgency=medium

  [ Andreas Tille, Nilesh Patra]
  * Initial release (Closes: #963142)

 -- Andreas Tille <tille@debian.org>  Sat, 22 May 2021 23:31:09 +0530
