=== debian/control ===
Source: libstreamvbyte
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               d-shlibs,
               cmake
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/libstreamvbyte
Vcs-Git: https://salsa.debian.org/med-team/libstreamvbyte.git
Homepage: https://github.com/lemire/streamvbyte
Rules-Requires-Root: no

Package: libstreamvbyte0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: fast integer compression in C using the StreamVByte codec
 StreamVByte is a new integer compression technique that applies SIMD
 instructions (vectorization) to Google's Group Varint approach. The net
 result is faster than other byte-oriented compression techniques.
 .
 It includes fast differential coding.
 .
 It assumes a recent Intel processor (e.g., haswell or better) or an ARM
 processor with NEON instructions (which is almost all of them).

Package: libstreamvbyte-dev
Architecture: any
Section: libdevel
Depends: libstreamvbyte0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: fast integer compression in C using the StreamVByte codec (devel)
 StreamVByte is a new integer compression technique that applies SIMD
 instructions (vectorization) to Google's Group Varint approach. The net
 result is faster than other byte-oriented compression techniques.
 .
 It includes fast differential coding.
 .
 It assumes a recent Intel processor (e.g., haswell or better) or an ARM
 processor with NEON instructions (which is almost all of them).
 .
 This package contains the static library and header files.
