=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk
# this provides:
# DEB_SOURCE: the source package name

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_install:
	dh_install
	mv debian/tmp/usr/lib/$(DEB_SOURCE)_static.a debian/tmp/usr/lib/$(DEB_SOURCE).a
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include usr \
		    debian/tmp/usr/lib/*.so
