## libstreamvbyte 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,33 +1,34 @@
 cmake_minimum_required(VERSION 3.3)
 set(CMAKE_MACOSX_RPATH OFF)
+project(STREAMVBYTE VERSION "1.0.0")
+
+set(STREAMVBYTE_LIB_VERSION "1.0.0" CACHE STRING "streamvbyte library version")
+set(STREAMVBYTE_LIB_SOVERSION "1" CACHE STRING "streamvbyte library soversion")
+
+set(CMAKE_C_STANDARD 99)
+set(CMAKE_C_STANDARD_REQUIRED ON)
+option(STREAMVBYTE_SANITIZE "Sanitize addresses" OFF)
 if (NOT CMAKE_BUILD_TYPE)
-                message(STATUS "No build type selected, default to Release")
-                set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
+  message(STATUS "No build type selected")
+  if(STREAMVBYTE_SANITIZE)
+    message(STATUS "Default to Debug")
+    set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
+  else()
+    message(STATUS "Default to Release")
+    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
+  endif()
 endif()
 
-project(STREAMVBYTE VERSION "0.0.1")
-cmake_policy(SET CMP0065 OLD)
-set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
-set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -v" )
-set(BASE_FLAGS
-  "-std=c99"
-  "-fPIC"
-  "-Wextra"
-  "-pedantic"
-  "-Wshadow"
-)
-if(CMAKE_BUILD_TYPE MATCHES Debug)
-  set(BASE_FLAGS
-    ${BASE_FLAGS}
-    "-O0"
-    "-ggdb"
-    )
-else()
-  set(BASE_FLAGS
-    ${BASE_FLAGS}
-    "-O3"
-    "-g"
-    )
+if(STREAMVBYTE_SANITIZE)
+  message(STATUS "Enabling memory sanitizer.")
+  add_compile_options(-fsanitize=address  -fno-omit-frame-pointer -fno-sanitize-recover=all)
+  add_compile_definitions(ASAN_OPTIONS=detect_leaks=1)
+endif()
+
+if (MSVC)
+    add_definitions(
+        "-D__restrict__=__restrict"
+        )
 endif()
 # test for arm
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "^(aarch64.*|AARCH64.*)")
@@ -45,10 +46,25 @@
   ${PROJECT_SOURCE_DIR}/src/streamvbyte_0124_encode.c
   ${PROJECT_SOURCE_DIR}/src/streamvbyte_0124_decode.c
    )
+set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 add_library(streamvbyte_static STATIC "${STREAMVBYTE_SRCS}")
 target_link_libraries(streamvbyte_static ${BASE_FLAGS})
 add_library(streamvbyte SHARED "${STREAMVBYTE_SRCS}")
 target_link_libraries(streamvbyte ${BASE_FLAGS})
+
+set_target_properties(
+    streamvbyte PROPERTIES
+    VERSION "${STREAMVBYTE_LIB_VERSION}"
+    SOVERSION "${STREAMVBYTE_LIB_SOVERSION}"
+    WINDOWS_EXPORT_ALL_SYMBOLS YES
+)
+set_target_properties(
+    streamvbyte_static PROPERTIES
+    VERSION "${STREAMVBYTE_LIB_VERSION}"
+    SOVERSION "${STREAMVBYTE_LIB_SOVERSION}"
+    WINDOWS_EXPORT_ALL_SYMBOLS YES
+)
+
 target_include_directories(
   streamvbyte
   PUBLIC ${PROJECT_SOURCE_DIR}/include
@@ -66,14 +82,13 @@
 install(
   TARGETS streamvbyte streamvbyte_static
   DESTINATION lib)
-## -march=native is not supported on some platforms
-if(NOT MSVC)
-if(NOT STREAMVBYTE_DISABLE_NATIVE)
-set(OPT_FLAGS "-march=native")
+
+
+option(STREAMVBYTE_SANITIZE_UNDEFINED "Sanitize undefined behavior" OFF)
+if(STREAMVBYTE_SANITIZE_UNDEFINED)
+  add_compile_options(-fsanitize=undefined -fno-sanitize-recover=all)
+  add_link_options(-fsanitize=undefined -fno-sanitize-recover=all)
 endif()
-endif()
-
-set(CMAKE_C_FLAGS "${STD_FLAGS} ${OPT_FLAGS} ${INCLUDE_FLAGS} ${WARNING_FLAGS} ${SANITIZE_FLAGS} ")
 
 MESSAGE( STATUS "CMAKE_SYSTEM_PROCESSOR: " ${CMAKE_SYSTEM_PROCESSOR})
 MESSAGE( STATUS "CMAKE_BUILD_TYPE: " ${CMAKE_BUILD_TYPE} ) # this tends to be "sticky" so you can remain unknowingly in debug mode
@@ -87,10 +102,13 @@
 # example
 add_executable (example ${PROJECT_SOURCE_DIR}/example.c)
 target_link_libraries (example streamvbyte_static)
-# perf
-add_executable (perf ${PROJECT_SOURCE_DIR}/tests/perf.c)
-target_link_libraries (perf streamvbyte_static)
-target_link_libraries(perf m)
+
+if(NOT MSVC)
+    # perf
+    add_executable (perf ${PROJECT_SOURCE_DIR}/tests/perf.c)
+    target_link_libraries (perf streamvbyte_static)
+    target_link_libraries(perf m)
+endif()
 # writeseq
 add_executable (writeseq ${PROJECT_SOURCE_DIR}/tests/writeseq.c)
 target_link_libraries (writeseq streamvbyte_static)
