=== debian/changelog ===
libstreamvbyte (0.5.1-2) unstable; urgency=medium

  * Team Upload.
  * Remove myself from uploaders
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Add patch to fix FTBFS with cmake 4 (Closes: #1113206)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Sep 2025 16:34:55 +0530

libstreamvbyte (0.5.1-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Add symbols
  * Bump SONAME
  * Provide symbols file for amd64 only to reduce maintenance burden

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 15:11:46 +0200
