=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: libstreamvbyte
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                cmake
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/libstreamvbyte
 Vcs-Git: https://salsa.debian.org/med-team/libstreamvbyte.git
 Homepage: https://github.com/lemire/streamvbyte
 Rules-Requires-Root: no
 
-Package: libstreamvbyte0
+Package: libstreamvbyte1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -31,7 +31,7 @@
 Package: libstreamvbyte-dev
 Architecture: any
 Section: libdevel
-Depends: libstreamvbyte0 (= ${binary:Version}),
+Depends: libstreamvbyte1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
